For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Emails
      • POSTSend Emails
      • GETFetch an Email
      • GETList Email Operations
      • GETFetch an Email Operation
      • POSTSearch Emails
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceEmails

Fetch an Email

GET
https://comms.twilio.com/preview/Emails/:emailId
GET
/preview/Emails/:emailId
$curl https://comms.twilio.com/preview/Emails/emailId \
> -u "<accountId>:<authToken>"
1{
2 "id": "comms_email_01h9krwprkeee8fzqspvwy6nq8",
3 "from": {
4 "address": "support@example.com",
5 "name": "Cool Support"
6 },
7 "to": [
8 {
9 "address": "janedoe@example.com",
10 "name": "Jane Doe"
11 }
12 ],
13 "status": "DELIVERED",
14 "related": [],
15 "tags": {},
16 "scheduledFor": null,
17 "createdAt": "2023-08-24T14:15:22Z",
18 "updatedAt": "2023-08-24T14:15:22Z",
19 "deletedAt": null,
20 "content": {
21 "text": "Hello, World!",
22 "subject": "An Introduction",
23 "html": "<html><body>Hello, World!</body></html>",
24 "attachments": []
25 }
26}

This operation fetches a single Email using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

List Email Operations

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

emailIdstringRequired

Response

OK
idstringformat: "^comms_email_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to an Email.
fromobject
The sender of the email.
tolist of objects

The recipients of the email on the to line.

statusenum

The status of an Email. The status can be one of the following:

  • SCHEDULED The Email is scheduled to be sent by Twilio in the future.

  • QUEUED The Email is queued in Twilio for sending.

  • SENT The Email has been sent by Twilio.

  • DELIVERED The Email has been successfully delivered to the recipient.

  • UNDELIVERED The Email was successfully sent by Twilio but has not been delivered to the recipient.

  • OPENED The Email has been opened by the recipient.

  • FAILED The Email processing failed inside Twilio.

  • CANCELED The Email was canceled via API request.

  • INBOUND The Email was received by Twilio from an external source.

relatedlist of objects
A list of resources that are associated with the Email.
tagsmap from strings to strings

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.

scheduledForstring or nullformat: "date-time"

The scheduled send time of the Email. This field is only present if the Email was created with a schedule.

createdAtstringformat: "date-time"
The date and time when the Email was created.
updatedAtstringformat: "date-time"
The date and time when the Email was last updated.
deletedAtstring or nullformat: "date-time"
The date and time when the Email was deleted.
contentobject
The resolved content of the Email.
replyTolist of objects

The recipients set on the reply-to line of the email.

cclist of objects

The recipients of the email on the cc line.

bcclist of objects

The recipients of the email on the bcc line.

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error